Bug 430342 - SMC2532W-B pcmcia card kills F8 in Thinkpad 600E
SMC2532W-B pcmcia card kills F8 in Thinkpad 600E
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-26 08:48 EST by williamnorfleet2000
Modified: 2009-01-09 00:51 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:51:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description williamnorfleet2000 2008-01-26 08:48:17 EST
Description of problem:
SMC2532W-B wireless network pcmcia card, F8 complete fresh install updated 26
Jan 08, Thinkpad 600E, kernels 2.6.23.14-107.fc8 and 2.6.23.8-63.fc8 (with
acpi=off on kernel lines in grub.conf).  If the card is present during boot,
boot hangs forever during udev script.  If the card is inserted after boot,
computer freezes and crashes.  dmesg and /var/log/messages are unremarkable.  I
have not altered modprobe.conf or rc.local except to change the soundcard module
to the correct one.  This card worked fine in this computer under RH9-FC5,
except for brief misbehavior during FC3 updates.  A 3Com Cardbus ethernet card
works fine, and its presence or absence makes no difference.  All extraneous
services have been turned off, and the BIOS has been set to disable the serial
and IR ports.  Blacklisting ononoco_cs (historically the correct module) does
nothing.  

Version-Release number of selected component (if applicable):
udev-118-1.fc8

How reproducible:
always

Steps to Reproduce:
1. Power computer with card in place.  Observe that boot hangs forever in udev
script.

<<< OR >>>

1.  Power computer without card in place.  Observe normal boot.
2.  Insert card.  Observe that computer completely freezes (mouse is frozen,
etc.) and crashes (LEDs blink).

  
Actual results:
As above

Expected results:
Boot with a functioning card.

Additional info:
Comment 1 williamnorfleet2000 2008-01-26 10:03:53 EST
The correct spelling of the module mentioned above is oninoco_cs.
Comment 2 williamnorfleet2000 2008-01-26 10:04:57 EST
Ach! One more time:  it's orinoco_cs.
Comment 3 williamnorfleet2000 2008-01-27 18:23:22 EST
The fix is to add "blacklist hostap_cs" to /etc/modprobe.d/blacklist.  So there
are two problems:
1.  With this computer and card, two modules are loaded for one device
2.  hostap_cs is thoroughly lethal to this computer and card, at least as they
emerge from a fresh F8 installation.
Comment 4 Harald Hoyer 2008-02-20 05:42:42 EST
reassigning to component kernel
Comment 5 Bug Zapper 2008-11-26 04:34:45 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:51:29 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.